# BEGIN SourceDeps(oneline):
BuildRequires: perl(FindBin.pm) perl(Graph.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(PDL.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Graph-Algorithm-HITS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Anothor HITS algorithm implementation loading L<Graph>
Group: Development/Perl
License: perl
URL: https://github.com/shoheik/Graph-Algorithm-HITS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHOHEIK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Graph::Algorithm::HITS implements HITS algorithm (see http://www2002.org/CDROM/refereed/643/node1.html). There are a couple of HITS algorithm implementations in CPAN though, the reason you would choose this is that the score can be calculated by simply loading from the Graph manpage object.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/G*

%changelog
* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

